Tab style for message notifications could be better.

RESOLVED WONTFIX

Status

enhancement
RESOLVED WONTFIX
5 years ago
6 months ago

People

(Reporter: clokep, Unassigned)

Tracking

Details

Attachments

(2 attachments)

(Reporter)

Description

5 years ago
*** Original post on bio 800 at 2011-05-23 15:01:00 UTC ***

Currently we're copying the Pidgin UI for notifications of messages which is:
Red on IM when message received
Green on IM when buddy is typing
Red on MUC when any message is received
Blue on MUC when a directed message is received

I think at the very least Red/Blue need to be swapped on MUCs since red demands more attention and is more notable (vs. black, the default color), plus it would match an IM now.

----

Really I think the whole tabs can be used instead of just the titles to show a message was received in a much nicer way. We should leverage the styling of the App Tabs in Firefox 4 when the <title> is changed [2].

We could use blue for messages in MUC (since it's close to the background color), this is the styling of App Tabs in Firefox when the <title> changes; and an orange-y color when a directed message in a MUC / IM is received (on Windows this is to match the taskbar notification color). These could either pulse or just be a color change (or pulse only a few times than stay solid, like Windows notifications). [3] explores the colors a bit and includes screenshots of orange on Windows and blue on all operating systems.

I'm not sure what should be done for typing (whether it be a different color or something else).

[1] http://log.bezut.info/instantbird/110523/#m242 and http://log.bezut.info/instantbird/110523/#m248
[2] https://bugzilla.mozilla.org/show_bug.cgi?id=577096
[3] https://bugzilla.mozilla.org/show_bug.cgi?id=593339
(Reporter)

Comment 1

5 years ago
*** Original post on bio 800 at 2011-05-23 15:10:02 UTC ***

Flo reminded me that there's also an orange color for "stopped typing" (sometimes called "entered text"), which would need to be thought of as well.
*** Original post on bio 800 at 2011-08-31 21:11:30 UTC ***

Here's another bug (spun off from obne of the bugs Patrick mentioned): 
  https://bugzilla.mozilla.org/show_bug.cgi?id=588589

Alex Faaborg posted on the meaning of colors in the icons of dialog boxes there:
  https://bugzilla.mozilla.org/show_bug.cgi?id=588589#c12
(Reporter)

Comment 3

5 years ago
Posted image Example
*** Original post on bio 800 as attmnt 2287 at 2013-03-19 00:38:00 UTC ***

This is a patch I created based on aleth's userChrome.

The tabs are:
selected, not selected, unread, attention (i.e. a ping or a private message), typing, typing / selected, typed, typed / selected
Attachment #8354052 - Flags: feedback?(aleth)
(Reporter)

Comment 4

5 years ago
Posted patch WIP v1Splinter Review
*** Original post on bio 800 as attmnt 2288 at 2013-03-19 00:40:00 UTC ***

The code that created attachment 8354052 [details] (bio-attmnt 2287).

Comment 5

5 years ago
Comment on attachment 8354052 [details]
Example

*** Original change on bio 800 attmnt 2287 at 2013-03-19 12:28:28 UTC ***

Thanks for improving those tabs!

I'm going to use this for a bit and see what it looks like on Linux... 

I like the blue/red swap and the code change for messages in non-MUCs.

There is currently no style for unread-selected and attention-selected - was that intentional?

From the screenshot, the gradient on the selected tabs currently doesn't seem to quite end in the moz-dialog colour to make it seamless - they seem to fade to a slightly "darker" grey.

I'm not a huge fan of the orange/yellow for "typed". Would it make sense to use a darker shade of green? Then typing->typed would be intuitively obvious.
Attachment #8354052 - Flags: feedback?(aleth) → feedback+
(Reporter)

Comment 6

5 years ago
*** Original post on bio 800 at 2013-03-19 12:39:40 UTC ***

(In reply to comment #5)
> Comment on attachment 8354052 [details] (bio-attmnt 2287) [details]
> I'm going to use this for a bit and see what it looks like on Linux... 
Yeah, it'd be good to know how it looks on Mac too!

> I like the blue/red swap and the code change for messages in non-MUCs.
Red draws the eye better, it should be the thing that REALLY needs your attention. Blue is just a bit different than the normal grey, so I figured that made sense for "hey someone said something, but it wasn't to you."

> There is currently no style for unread-selected and attention-selected - was
> that intentional?
Once you select the tab the "unread" and "attention" flags go away.

> From the screenshot, the gradient on the selected tabs currently doesn't seem
> to quite end in the moz-dialog colour to make it seamless - they seem to fade
> to a slightly "darker" grey.
Yes, I couldn't get it to look exactly right. Improvements are welcome. :)

> I'm not a huge fan of the orange/yellow for "typed". Would it make sense to use
> a darker shade of green? Then typing->typed would be intuitively obvious.
A darker grey might make sense yes, the other option I thought of was a slow pulsing for someone while typing and it being solid for "typed".
*** Original post on bio 800 at 2013-03-19 12:44:38 UTC ***

(In reply to comment #5)

> I like the blue/red swap and the code change for messages in non-MUCs.

Isn't this going to be very confusing to both existing Instantbird users, and users coming from Pidgin?

Random thought/suggestion about how we could simplify this:
- Red for unread directed to the user (unread messages in private convs, or mentions in MUCs)
- Orange (= lighter red) for unread messages not directed to the users (all other MUC messages). The blue has always been a bit confusing there...
- Get rid of the colors for typing (should the user see if there's already some unread messages when the contact is typing more messages? Isn't the typing animated icon good enough for the typing information?)

> There is currently no style for unread-selected and attention-selected - was
> that intentional?

Yes, that was intentional. If you have a selected conversation in an unfocused window on a secondary screen, the messages are marked as unread until you focus the window, but they are likely effectively read. We don't want users to waste time clicking that window just to get rid of the unread color on the tab.
(Reporter)

Comment 8

5 years ago
*** Original post on bio 800 at 2013-03-20 23:31:54 UTC ***

(In reply to comment #7)
> > I like the blue/red swap and the code change for messages in non-MUCs.
> Isn't this going to be very confusing to both existing Instantbird users, and
> users coming from Pidgin?
I don't think so. The background color makes it a totally different thing. Regardless, I don't find inheriting UI features from Pidgin a solid argument for keeping things in Instantbird.

> Random thought/suggestion about how we could simplify this:
> - Red for unread directed to the user (unread messages in private convs, or
> mentions in MUCs)
> - Orange (= lighter red) for unread messages not directed to the users (all
> other MUC messages). The blue has always been a bit confusing there...
I kind of like the blue because it's noticeably less noticeable. What do you find confusing about it?

> - Get rid of the colors for typing (should the user see if there's already some
> unread messages when the contact is typing more messages? Isn't the typing
> animated icon good enough for the typing information?)
This is probably true...someone typing doesn't REALLY need our attention that obviously.
*** Original post on bio 800 at 2013-03-20 23:52:20 UTC ***

(In reply to comment #8)
> (In reply to comment #7)
> > > I like the blue/red swap and the code change for messages in non-MUCs.
> > Isn't this going to be very confusing to both existing Instantbird users, and
> > users coming from Pidgin?
> I don't think so. The background color makes it a totally different thing.

I'm not sure I would like using the background this way on Mac (would need to try it before having a real opinion though).

> Regardless, I don't find inheriting UI features from Pidgin a solid argument
> for keeping things in Instantbird.

Well, treat it only as something that was in previous Instantbird versions then. If people got used to some color having some meaning, if the meaning is suddenly different, it's confusing.

> > Random thought/suggestion about how we could simplify this:
> > - Red for unread directed to the user (unread messages in private convs, or
> > mentions in MUCs)
> > - Orange (= lighter red) for unread messages not directed to the users (all
> > other MUC messages). The blue has always been a bit confusing there...
> I kind of like the blue because it's noticeably less noticeable. What do you
> find confusing about it?

I guess it depends which blue you want to use. The blue we currently use for mentions in MUCs is very noticeable to me. The blue used (on Mac at least) in Firefox App tabs when the page title changed isn't so noticeable.

It may also be because on Windows there's a lot of blue in the conversation window, whereas on Mac it's all gray so blue is much more visible on Mac.
On the behalf of Florian:
Closing bugs related to the Instantbird UI as WONTFIX, as the development of the standalone chat client Instantbird has stopped. Instantbird users are encouraged to migrate to Thunderbird. The user interface of instant messaging in Thunderbird will feel familiar, as the Thunderbird IM support started as a fork of Instantbird.
Status: NEW → RESOLVED
Last Resolved: 6 months ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.